Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.actions
Class SimAction

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.actions.Action
              avrora.actions.SimAction

All Implemented Interfaces:
  HelpItem

Direct Known Subclasses:
  SimulateAction

public abstract class SimAction
extends Action

The `SimAction` is an abstract class that collects many of the options common to single node and multiple-node simulations into one place.

Nested Class Summary
`static class` | `SimAction.BreakPointException` The `BreakPointException` is an exception that is thrown by the simulator before it executes an instruction which has a breakpoint.
`static class` | `SimAction.TimeoutException` The `TimeoutException` is thrown by the simulator when a timeout reaches zero.

Field Summary
`protected java.util.HashMap` | `monitorListMap`
`Option.Bool` | `REPORT_SECONDS`
`Option.Long` | `SECONDS_PRECISION`
`Option.Str` | `SIMULATION`

Fields inherited from class avrora.actions.Action
`options`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`protected` | `SimAction(java.lang.String h)`

Method Summary
`static java.util.List` | `getLocationList(Program program, java.util.List v)` The `getLocationList()` method is to used to parse a list of program locations and turn them into a list of `Main.Location` instances.
`protected static void` | `printSimHeader()` The `printSimHeader()` method simply prints the first line of output that names the columns for the events outputted by the rest of the simulation.

Methods inherited from class avrora.actions.Action
`newOption, newOption, newOption, newOption, newOption, newOptionList, run`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPORT_SECONDS

    public final Option.Bool REPORT_SECONDS

### SECONDS_PRECISION

    public final Option.Long SECONDS_PRECISION

### SIMULATION

    public final Option.Str SIMULATION

### monitorListMap

    protected java.util.HashMap monitorListMap

Constructor Detail

### SimAction

    protected SimAction(java.lang.String h)

Method Detail

### getLocationList

    public static java.util.List getLocationList(Program program,
                                                 java.util.List v)

  The `getLocationList()` method is to used to parse a list of program locations and turn them into a list of `Main.Location` instances.

  Parameters:
    `program` - the program to look up labels in
    `v` - the list of strings that are program locations
  Returns:
    a list of program locations

### printSimHeader

    protected static void printSimHeader()

  The `printSimHeader()` method simply prints the first line of output that names the columns for the events outputted by the rest of the simulation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD